Package rdkit :: Package ML :: Module AnalyzeComposite

[hide private]
[frames] | no frames]

# Module AnalyzeComposite

source code

    command line utility to report on the contributions of descriptors to
    tree-based composite models

    Usage:  AnalyzeComposite [optional args] <models>

          <models>: file name(s) of pickled composite model(s)
            (this is the name of the db table if using a database)

        Optional Arguments:

          -n number: the number of levels of each model to consider

          -d dbname: the database from which to read the models

          -N Note: the note string to search for to pull models from the database

          -v: be verbose whilst screening

Functions | [hide private]

ProcessIt(composites, nToConsider=3, verbose=0) | source code

ErrorStats(conn, where, enrich=1) | source code

ShowStats(statD, enrich=1) | source code

Usage() | source code

Variables | [hide private]

| __VERSION_STRING = `"2.2.0"`

Imports: numpy, sys, cPickle, TreeUtils, Tree, Stats, DbConnect, ScreenComposite